> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء سجل DNS

> ينشئ سجل DNS للعميل.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json POST /v1/public/accounts/{account_id}/dns-records
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dns-records:
    post:
      tags:
        - public-accounts
        - public-dns-records
      summary: إنشاء سجل DNS
      description: ينشئ سجل DNS للعميل.
      operationId: >-
        create_public_dns_record_v1_public_accounts__account_id__dns_records_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDNSRecordRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DnsRecordResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CreateDNSRecordRequest:
      description: مخطط طلب إنشاء سجل DNS.
      properties:
        domain:
          title: النطاق
          type: string
        name:
          title: الاسم
          type: string
        prio:
          anyOf:
            - maximum: 65535
              minimum: 0
              type: integer
            - type: 'null'
          title: الأولوية
        ttl:
          default: 3600
          minimum: 1
          title: TTL
          type: integer
        type:
          title: النوع
          type: string
        value:
          title: القيمة
          type: string
      required:
        - domain
        - name
        - type
        - value
      title: CreateDNSRecordRequest
      type: object
    DnsRecordResponse:
      properties:
        id:
          title: المعرّف
          type: integer
        is_system_managed:
          default: false
          title: مدار بواسطة النظام
          type: boolean
        name:
          title: الاسم
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: الأولوية
        ttl:
          title: TTL
          type: integer
        type:
          title: النوع
          type: string
        value:
          title: القيمة
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DnsRecordResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````